%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary: The standard Tcl library
Name: tcllib
Version: 1.11.1
Release: 1
License: TCL
Group: Development/Libraries
Source: http://downloads.sourceforge.net/tcllib/%{name}-%{version}.tar.gz
URL: http://tcllib.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: tcl >= 8.5.8
Requires: tcl >= 8.5.8
Requires: tcl(abi) = 8.5

%description
Tcllib, the Tcl Standard Library is a collection of Tcl packages
that provide utility functions useful to a large collection of Tcl
programmers.


%prep
%setup -q
chmod -x modules/doctools/mpformats/fr.msg


%build
# nothing to build!


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

echo 'not available' > modules/imap4/imap4.n
%{_bindir}/tclsh installer.tcl -no-gui -no-wait -no-html -no-examples \
    -pkg-path ${RPM_BUILD_ROOT}/%{tcl_sitelib}/%name-%version \
    -app-path ${RPM_BUILD_ROOT}%{_bindir} \
    -nroff-path ${RPM_BUILD_ROOT}%{_mandir}/mann

# install HTML documentation into specific modules sub-directories:
(
  cd modules
  cp ftp/docs/*.html ftp/
  for module in comm exif ftp mime stooop struct textutil; do
      mkdir -p ../$module && cp $module/*.html ../$module/;
  done
)

# clean up rpmlint warnings
find ${RPM_BUILD_ROOT}%{_datadir} -name \*.tcl -exec chmod 0644 {} \;

# make symbolic links
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc support/releases/PACKAGES README support/releases/history/README-1.9.txt
%doc ChangeLog license.terms
%doc exif/ ftp/ mime/ stooop/ struct/ textutil/
%{_bindir}/dtplite
%{_bindir}/page
%{_bindir}/tcldocstrip
%{_mandir}/mann/*
%{tcl_sitelib}/%{name}-%{version}
/usr/bin/dtplite
/usr/bin/page
/usr/bin/tcldocstrip


%changelog
* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 1.11.1-1
- first version for AIX5L v5.1 and higher
